---@meta

---@class UWG_PlayerModifier_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field RadialProgressBar UBorder
---@field Icon UBorder
---@field ['Player Modifier'] FGameplayTag
---@field ModifierTexture UTexture2D
---@field Duration double
---@field CurrentValue double
---@field UpdateValueTimer FTimerHandle
---@field DurationTimer FTimerHandle
---@field DynamicMaterial UMaterialInstanceDynamic
local UWG_PlayerModifier_C = {}

---@param PlayerModifier FGameplayTag
---@param Duration double
function UWG_PlayerModifier_C:StartModifier(PlayerModifier, Duration) end
function UWG_PlayerModifier_C:UpdateProgressBar() end
function UWG_PlayerModifier_C:ModifierDone() end
---@param EntryPoint int32
function UWG_PlayerModifier_C:ExecuteUbergraph_WG_PlayerModifier(EntryPoint) end


